import path from 'path';
import { useConfig } from '@kevisual/use-config';
import fs from 'fs';
export const configPath = path.join(process.cwd(), 'app.config.json5');

export const saveConfig = (config: any) => {
  fs.writeFileSync(configPath, JSON.stringify(config, null, 2));
};

export const getConfig = () => {
  return useConfig();
};

export const setConfig = (config: any) => {
  saveConfig(config);
};
